Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.uka.ipd.consensus.foundation.ontology
Interface OntologyListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  IncentiveManagerImpl, LoggingManagerImpl, OntologyAdapter

public interface OntologyListener
extends EventListener

The listener interface for receiving events that signal a change in the ontology.

Version:
  2006-06-14
Author:
  Thomas Much
See Also:
  `OntologyManager.addOntologyListener(OntologyListener)`, `EvolutionListener`

Method Summary
`void` | `associationCreated(OntologyEvent event)` Called by the OntologyManager when an association is created.
`void` | `associationTopicAdded(OntologyEvent event)` Called by the OntologyManager when topic is added as a player to an association.
`void` | `associationTopicRemoved(OntologyEvent event)` Called by the OntologyManager when player topic is removed from an association.
`void` | `attributeAdded(OntologyEvent event)` Called by the OntologyManager when an attribute is added to a topic.
`void` | `attributeRemoved(OntologyEvent event)` Called by the OntologyManager when an attribute is removed from a topic.
`void` | `attributeValueChanged(OntologyEvent event)` Called by the OntologyManager when an attribute's value is changed.
`void` | `conceptCommentChanged(OntologyEvent event)` Called by the OntologyManager when the comment of a concept has changed.
`void` | `conceptNameChanged(OntologyEvent event)` Called by the OntologyManager when the name of a concept has changed.
`void` | `conceptTypeChanged(OntologyEvent event)` Called by the OntologyManager when a type is added to or removed from a concept.
`void` | `occurrenceChanged(OntologyEvent event)` Called by the OntologyManager when an occurrence's value is changed.
`void` | `occurrenceCreated(OntologyEvent event)` Called by the OntologyManager when an occurrence is created.
`void` | `occurrenceRemoved(OntologyEvent event)` Called by the OntologyManager when an occurrence is removed from a topic.
`void` | `synonymAdded(OntologyEvent event)` Called by the OntologyManager when a synonym is added to a base topic.
`void` | `synonymRemoved(OntologyEvent event)` Called by the OntologyManager when a synonym is removed from a base topic.
`void` | `topicClassChanged(OntologyEvent event)` Called by the OntologyManager when a superclass is added to or removed from a topic.
`void` | `topicCreated(OntologyEvent event)` Called by the OntologyManager when a topic is created.

Method Detail

### topicCreated

    public void topicCreated(OntologyEvent event)

  Called by the OntologyManager when a topic is created.

  `OntologyEvent.getConcept()` returns the newly created topic.

  Parameters:
    `event` - the OntologyEvent object containing the user and the newly created topic

### associationCreated

    public void associationCreated(OntologyEvent event)

  Called by the OntologyManager when an association is created.

  `OntologyEvent.getConcept()` returns the newly created association.

  Parameters:
    `event` - the OntologyEvent object containing the user and the newly created association

### occurrenceCreated

    public void occurrenceCreated(OntologyEvent event)

  Called by the OntologyManager when an occurrence is created.

  `OntologyEvent.getConcept()` returns the base topic, `OntologyEvent.getOccurrence()` the newly created occurrence.

  Parameters:
    `event` - the OntologyEvent object containing the user, the topic and the newly created occurrence

### conceptCommentChanged

    public void conceptCommentChanged(OntologyEvent event)

  Called by the OntologyManager when the comment of a concept has changed.

  `OntologyEvent.getConcept()` returns the base concept, `OntologyEvent.getOldValue()` the comment's old value.

  Parameters:
    `event` - the OntologyEvent object containing the user, the concept and the comment's old value

### conceptNameChanged

    public void conceptNameChanged(OntologyEvent event)

  Called by the OntologyManager when the name of a concept has changed.

  `OntologyEvent.getConcept()` returns the base concept, `OntologyEvent.getOldValue()` the concept's old name.

  Parameters:
    `event` - the OntologyEvent object containing the user, the concept and the concept's old name

### conceptTypeChanged

    public void conceptTypeChanged(OntologyEvent event)

  Called by the OntologyManager when a type is added to or removed from a concept.

  `OntologyEvent.getConcept()` returns the base concept, `OntologyEvent.getOldType()` the concept's old type. For topics, the old type is `null` if a new type is added.

  Parameters:
    `event` - the OntologyEvent object containing the user, the concept and the concept's old type

### topicClassChanged

    public void topicClassChanged(OntologyEvent event)

  Called by the OntologyManager when a superclass is added to or removed from a topic.

  `OntologyEvent.getConcept()` returns the base topic. `OntologyEvent.getOldType()` returns the topic's old superclass if it was removed, or `null` if a superclass was added.

  Parameters:
    `event` - the OntologyEvent object containing the user, the concept and the concept's old superclass

### associationTopicAdded

    public void associationTopicAdded(OntologyEvent event)

  Called by the OntologyManager when topic is added as a player to an association.

  `OntologyEvent.getConcept()` returns the association, `OntologyEvent.getTopic()` the added topic.

  Parameters:
    `event` - the OntologyEvent object containing the user, the association and the added topic

### associationTopicRemoved

    public void associationTopicRemoved(OntologyEvent event)

  Called by the OntologyManager when player topic is removed from an association.

  `OntologyEvent.getConcept()` returns the association, `OntologyEvent.getTopic()` the removed topic.

  Parameters:
    `event` - the OntologyEvent object containing the user, the association and the removed topic

### attributeAdded

    public void attributeAdded(OntologyEvent event)

  Called by the OntologyManager when an attribute is added to a topic.

  `OntologyEvent.getConcept()` returns the added attribute, `OntologyEvent.getTopic()` the base topic.

  Parameters:
    `event` - the OntologyEvent object containing the user, the topic and the added attribute

### attributeValueChanged

    public void attributeValueChanged(OntologyEvent event)

  Called by the OntologyManager when an attribute's value is changed.

  `OntologyEvent.getConcept()` returns the attribute, `OntologyEvent.getOldValue()` the attribute's old value.

  Parameters:
    `event` - the OntologyEvent object containing the user, the attribute and its old value

### attributeRemoved

    public void attributeRemoved(OntologyEvent event)

  Called by the OntologyManager when an attribute is removed from a topic.

  `OntologyEvent.getConcept()` returns the removed attribute, `OntologyEvent.getTopic()` the base topic.

  Parameters:
    `event` - the OntologyEvent object containing the user, the topic and the removed attribute

### occurrenceChanged

    public void occurrenceChanged(OntologyEvent event)

  Called by the OntologyManager when an occurrence's value is changed.

  `OntologyEvent.getConcept()` returns the base topic, `OntologyEvent.getOccurrence()` the occurrence and `OntologyEvent.getOldValue()` the occurrence's old value.

  Parameters:
    `event` - the OntologyEvent object containing the user, the topic, the occurrence and its old value

### occurrenceRemoved

    public void occurrenceRemoved(OntologyEvent event)

  Called by the OntologyManager when an occurrence is removed from a topic.

  `OntologyEvent.getConcept()` returns the base topic, `OntologyEvent.getOccurrence()` the removed occurrence.

  Parameters:
    `event` - the OntologyEvent object containing the user, the topic and the removed occurrence

### synonymAdded

    public void synonymAdded(OntologyEvent event)

  Called by the OntologyManager when a synonym is added to a base topic.

  `OntologyEvent.getConcept()` returns the base topic, `OntologyEvent.getSynonym()` the Synonym object that contains both synonymous topics.

  Parameters:
    `event` - the OntologyEvent object containing the user, the topic and the synonym

### synonymRemoved

    public void synonymRemoved(OntologyEvent event)

  Called by the OntologyManager when a synonym is removed from a base topic.

  `OntologyEvent.getConcept()` returns the base topic, `OntologyEvent.getSynonym()` the removed Synonym object that contains both synonymous topics.

  Parameters:
    `event` - the OntologyEvent object containing the user, the topic and the synonym

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD